Bug 145326 - Break link doesn't work with DDE links
Summary: Break link doesn't work with DDE links
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-10-26 15:23 UTC by Xisco Faulí
Modified: 2021-11-03 16:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-10-26 15:23:54 UTC
Steps to reproduce:
1. Open attachment 112327 [details] from bug 88481
2. Go to Edit - Link to External Files
3. Click on Break Link
4. Save the document
5. Close it
6. Open it again

-> The link is still present in Edit - Link to External Files

Reproduced in

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: ca74611acfef50280a2c1f785448d9a09cca5a0d
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-10-26 15:25:04 UTC
Regression introduced by:

author	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-11-20 01:30:23 +0100
committer	Bjoern Michaelsen <bjoern.michaelsen@libreoffice.org>	2020-11-21 16:23:13 +0100
commit 30b69db070131190454342ce57c25383edf36f04 (patch)
tree 9df04ef60227162998c25bec753b55d9c3119324
parent 0519f167acc6e3cf50b2935dae3cccc0efd8a1f3 (diff)
SwEditShell: remove SwIterator hack

Bisected with: bibisect-linux64-7.1

Adding Cc: to Bjoern Michaelsen
Comment 2 Björn Michaelsen 2021-10-29 23:39:53 UTC
https://gerrit.libreoffice.org/c/core/+/124455
Comment 3 Commit Notification 2021-11-03 10:01:00 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68cea95423818f6ae19b735e2029284c5fc9397b

tdf#145326: fix breaking DDE links

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-11-03 12:21:24 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/31613f1ade01a68b170adc6f9245b777671ba62d

tdf#145326: fix breaking DDE links

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-11-03 15:59:30 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ff6bd3c61fc514658b87cd572f6dc4d7e67f75c4

tdf#145326: sw: Add UItest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2021-11-03 16:02:07 UTC
Hello Björn,
thanks for fixing this issue.
Closing as VERIFIED FIXED